<template>
  <div>
    <div class="row m-1">
      <div class="col-md-4">
        <div class="img">
          <img :src="movie.poster_path" />
        </div>
      </div>
      <div class="col-md-8">
        <div class="infomacion">
          <div class="title-movie">
            <h1>
              {{ movie.title }}
            </h1>
          </div>
          <div class="caract-movie">
            <h4>
              {{ movie.release_date }}
            </h4>
            <div v-for="c in categorias" :key="c.name">
              <h4 class="cat">
                {{ c }}
              </h4>
            </div>
          </div>
          <br />
          <div class="resumen-movie">
            <h3>Resumen</h3>
            <p>
              {{ movie.overview }}
            </p>
          </div>
          <br />
          <div class="puntaje-movie">
            <v-avatar color="green" size="65">
              <span class="white--text headline">{{movie.vote_average}}</span>
              <span>%</span>
            </v-avatar>
            <div>
            <p>Puntuación</p><br>
            <p>de usuario</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import api from '../services/api.service.js'
import Movie from '../models/Movie'

export default {
  data () {
    return {
      movie: '',
      categorias: []
    }
  },
  async mounted () {
    await this.getMovieForId()
    this.getCat()
  },
  methods: {
    async getMovieForId () {
      this.movie = await this.getMovie()
    },
    async getMovie () {
      const { data } = await api.getMovie(this.$route.params.id)
      return new Movie(data)
    },
    getCat () {
      this.movie.genres.map((cat) => this.categorias.push(cat.name))
    }
  }
}
</script>
